<?php defined('SYSPATH') or die('No direct script access.');

class Payments_Fiberhost
{
	/**
	 * Sprawdza poprawność kodu sms...
	 *
	 * @param  $sms    string kod sms
	 * @param  $numer  string opcjonalnie, numer na który został wysłany sms
	 * @param  $code   string opcjonalnie, treść smsa jaką wysłał użytkownik
	 *
	 * @access public
	 * @return float Kwota jaką ma zostać zasilony portfel
	 */
	public function check( $sms, $numer = NULL, $code = NULL ) {
		$user	= Core::setting( ) -> get( 'fiberhost_key_api' );
		$fp 	= @file_get_contents( "http://fiberhost.pl/api/payment/api_code_verify.php?payment=homepay_sms&userid=$user&code=$sms" ); 
		$json	= json_decode( $fp, true );
		
		if( $json[ 'status' ] == 'OK' )
			return array( (float)$json[ 'kwota' ], 'Konto zostało pomyślnie doładowane' );
			
		return array( 0.0, 'Wystąpił błąd...' );
	}

	/**
	 * Stawki sms
	 *
	 *
	 * @access public
	 * @return array zwraca tablice ze stawkami sms(numer, koszt, tresc)
	 */
	public function rates( ) {
		$fp 	= @file_get_contents( 'http://fiberhost.pl/api/payment/api_get_form.php' );
		$json 	= json_decode( $fp, true );
		$list 	= $json[ 'homepay_sms' ];
	
		foreach( $list[ 'table_data' ] as $key => $rate ) {
			$_return[ ] = array(
				'numer'    => $list[ 'table' ][ 'data' ][ $key ][ 2 ],
				'text_sms' => $list[ 'table' ][ 'data' ][ $key ][ 1 ],
				'cost'	   => $rate[ 'brutto' ],
				'amount'   => $rate[ 'portfel' ] 
			);
		}
		
		return $_return;
	}
}

?>